Top traders
curl --request GET \
--url https://api.raze.bot/v1/tokens/{chain}/{address}/traders \
--header 'x-api-key: <api-key>'import requests
url = "https://api.raze.bot/v1/tokens/{chain}/{address}/traders"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.raze.bot/v1/tokens/{chain}/{address}/traders', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"wallet": "<string>",
"amount": 123,
"percent": 123,
"valueUsd": 123,
"boughtUsd": 123,
"soldUsd": 123,
"pnlUsd": 123,
"realizedPnlUsd": 123,
"unrealizedPnlUsd": 123,
"buys": 123,
"sells": 123,
"tags": [
"<string>"
],
"label": "<string>",
"fundedBy": "<string>",
"lastActiveAt": 123
}
]
}{
"error": {
"code": "bad_request",
"message": "unknown chain 'xyz', use one of: sol, eth, bsc, base, robinhood"
}
}Tokens
Top traders
The wallets that made the most profit on this token, in the holder shape.
GET
/
v1
/
tokens
/
{chain}
/
{address}
/
traders
Top traders
The wallets that made the most on this token, most profitable first, in the holder shape.
amount and valueUsd are what they still hold, often 0.Authorizations
ApiKeyHeaderBearerApiKeyQuery
Path Parameters
sol, eth, bsc, base or robinhood (or an alias or network id)
Example:
"sol"
Token address (mint or contract)
Example:
"DezXAZ8z7PnrnRJjz3wXBoRgixCa6xjnB7YaB1pPB263"
Query Parameters
Required range:
x <= 100Response
Traders, most profitable first
Show child attributes
Show child attributes
⌘I